Name:          open-isns
Version:       0.101
Release:       1mamba
Summary:       A partial implementation of iSNS, according to RFC4171
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/open-iscsi/open-isns
Source:        https://github.com/open-iscsi/open-isns.git/v%{version}/open-isns-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libopenslp-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A partial implementation of iSNS, according to RFC4171.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," aclocal/config.sub

%build
%configure \
   --enable-shared \
   CFLAGS="%{optflags} -Wno-error"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall install_hdrs install_lib \
   systemddir=%{_unitdir}

chmod +x %{buildroot}%{_libdir}/libisns.so.*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/isns
%config(noreplace) %{_sysconfdir}/isns/isnsadm.conf
%config(noreplace) %{_sysconfdir}/isns/isnsd.conf
%config(noreplace) %{_sysconfdir}/isns/isnsdd.conf
%{_unitdir}/isnsd.service
%{_unitdir}/isnsd.socket
%{_sbindir}/isnsadm
%{_sbindir}/isnsd
%{_sbindir}/isnsdd
%{_mandir}/man5/isns_config.5*
%{_mandir}/man8/isnsadm.8*
%{_mandir}/man8/isnsd.8*
%{_mandir}/man8/isnsdd.8*
%{_mandir}/man8/isnssetup.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libisns.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/libisns
%{_includedir}/libisns/*.h
%{_libdir}/libisns.a
%{_libdir}/libisns.so
%doc ChangeLog README TODO

%changelog
* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 0.101-1mamba
- automatic version update by autodist

* Tue Dec 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.100-1mamba
- package created using the webbuild interface
